Subject: Re: [PATCH 5/5] [POWERPC] fsl_soc, legacy_serial: add support for "soc" compatible matching

From: Anton Vorontsov <[email-masked]>
Date: Fri, 25 Jan 2008 22:18:15 +0300

On Fri, Jan 25, 2008 at 01:03:28PM -0600, Scott Wood wrote:
> Anton Vorontsov wrote:
> >$ grep qe@ arch/powerpc/boot/dts/*
> >arch/powerpc/boot/dts/mpc832x_mds.dts:  qe@e0100000 {
> >arch/powerpc/boot/dts/mpc832x_rdb.dts:  qe@e0100000 {
> >arch/powerpc/boot/dts/mpc836x_mds.dts:  qe@e0100000 {
> >arch/powerpc/boot/dts/mpc8568mds.dts:   qe@e0080000 {
> >
> >^^^ if the practice is wrong, then we should fix it, and then
> >-immr would be the good name indeed (just as I've said previously).
> 
> It's wrong, and we should fix it.

Ok, good. I'll fix that for at least new RDK board. Though, fixing
other boards would be not trivial because of backward compatibility
and such. I'll also use -immr for RDK.

> It would make sense if the QE block 
> were relocatable separately from IMMR (but even if it were, the QE 
> compatible should be fsl,xxxx-qe or similar, so no conflict with 
> fsl,xxxx-immr) -- but it isn't, at least on the 8323 and 8360 (I don't 
> have an 8568 manual handy).

Nobody have an MPC8568E manual handy. :-P I've just looked there..
no QE isn't relocatable.

Oh, and I lied regarding CPM being relocatable. It isn't,
at least CPM2 and at least on MPC8555E. What a pity.

-- 
Anton Vorontsov
email: [email-masked]
backup email: [email-masked]
irc://irc.freenode.net/bd2